aboutsummaryrefslogtreecommitdiffstats
path: root/dev.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dev.sh')
-rw-r--r--dev.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/dev.sh b/dev.sh
new file mode 100644
index 00000000..dfb31a55
--- /dev/null
+++ b/dev.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+VENV=./venv
+
+python -m virtualenv $VENV --always-copy
+. $VENV/bin/activate
+pip install -r requirements.txt
+
+echo ""
+echo "* Created virtualenv environment in $VENV."
+echo "* Installed all dependencies into the virtualenv."
+echo "* You can now activate the virtualenv: \`. $VENV/bin/activate\`"